// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  devtools: { enabled: true },
  modules: [
    '@ant-design-vue/nuxt',
    '@sidebase/nuxt-auth',
    '@pinia/nuxt'
  ],
  css: [ "~/public/fonts.css", "~/public/css/all.css" ],
  auth: {
    provider: {
      type: "local"
    }
  },
  nitro: {
    esbuild: {
      options: {
        minify: false
      }
    }
  },
  runtimeConfig: {
    captchaSecret: process.env.CAPTCHASECRET,
    database: {
      user: process.env.DBUSER,
      password: process.env.DBPASS,
      uri: `mongodb://${process.env.DB}`
    },
    jwt: process.env.JWT,
    public: {
      // apiBase: "/api"
    }
  },
  devServer: {
    port: 3000,
    host: "127.0.0.1",
    url: "[::1]"
  }
})
